Package com.io7m.idstore.server.service.templating

# Record Class IdFMLoginData

java.lang.Object
java.lang.Record
com.io7m.idstore.server.service.templating.IdFMLoginData

Record Components:
  `htmlTitle` - The HTML title
  `pageHeaderTitle` - The page header title
  `logo` - `true` if the logo should be displayed
  `loginTitle` - The login title, if any
  `errorMessage` - The error message, if any
  `loginExtraText` - The extra branding text inserted below the login form

All Implemented Interfaces:
  `IdFMDataModelType`

public record IdFMLoginData(String htmlTitle, String pageHeaderTitle, boolean logo, Optional<String> loginTitle, Optional<String> errorMessage, Optional<String> loginExtraText) extends Record implements IdFMDataModelType
Data for the login screen template.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdFMLoginData(String htmlTitle, String pageHeaderTitle, boolean logo, Optional<String> loginTitle, Optional<String> errorMessage, Optional<String> loginExtraText)`
  Data for the login screen template.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `Optional<String>`
  `errorMessage()`
  Returns the value of the `errorMessage` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `htmlTitle()`
  Returns the value of the `htmlTitle` record component.
  `Optional<String>`
  `loginExtraText()`
  Returns the value of the `loginExtraText` record component.
  `Optional<String>`
  `loginTitle()`
  Returns the value of the `loginTitle` record component.
  `boolean`
  `logo()`
  Returns the value of the `logo` record component.
  `String`
  `pageHeaderTitle()`
  Returns the value of the `pageHeaderTitle` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `Map<String,Object>`
  `toTemplateHash()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdFMLoginData

    public IdFMLoginData(String htmlTitle, String pageHeaderTitle, boolean logo, Optional<String> loginTitle, Optional<String> errorMessage, Optional<String> loginExtraText)
    Data for the login screen template.
    Parameters:
      `htmlTitle` - The HTML title
      `pageHeaderTitle` - The page header title
      `logo` - `true` if the logo should be displayed
      `loginTitle` - The login title, if any
      `errorMessage` - The error message, if any
      `loginExtraText` - The extra branding text inserted below the login form

- ## Method Details

  - ### toTemplateHash

    public Map<String,Object> toTemplateHash()
    Specified by:
      `toTemplateHash` in interface `IdFMDataModelType`
    Returns:
      The data as a freemarker template hash

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### htmlTitle

    public String htmlTitle()
    Returns the value of the `htmlTitle` record component.
    Returns:
      the value of the `htmlTitle` record component

  - ### pageHeaderTitle

    public String pageHeaderTitle()
    Returns the value of the `pageHeaderTitle` record component.
    Returns:
      the value of the `pageHeaderTitle` record component

  - ### logo

    public boolean logo()
    Returns the value of the `logo` record component.
    Returns:
      the value of the `logo` record component

  - ### loginTitle

    public Optional<String> loginTitle()
    Returns the value of the `loginTitle` record component.
    Returns:
      the value of the `loginTitle` record component

  - ### errorMessage

    public Optional<String> errorMessage()
    Returns the value of the `errorMessage` record component.
    Returns:
      the value of the `errorMessage` record component

  - ### loginExtraText

    public Optional<String> loginExtraText()
    Returns the value of the `loginExtraText` record component.
    Returns:
      the value of the `loginExtraText` record component